Hpricot

I’m trying to follow the examples here:
http://code.whytheluckystiff.net/hpricot/wiki/HpricotBasics

However, I get “no such file to load – hpricot”
I also tried include_gem but I get “Could not find RubyGem hpricot (>
0.0.0)”

Many thanks in advance

did you do this? gem install hpricot

if so,

require ‘rubygems’
require ‘hpricot’

should work fine.

Yep. Installed the gem, did it all.

[email protected] wrote:

Yep. Installed the gem, did it all.

If you are doing this in Rails and you added the requires to
environment.rb did you restart the server?


Michael W.

I’m meant to put…
require ‘rubygems’
require ‘hpricot’
… in my environment.rb?

[email protected] wrote:

I’m meant to put…
require ‘rubygems’
require ‘hpricot’
… in my environment.rb?

Sure.


Michael W.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs